Subject: Re: bug#24640: Crashes in 25.1

From: Reuben Thomas <[email-masked]>
Date: Wed, 12 Oct 2016 11:57:26 +0100

On 12 October 2016 at 11:31, Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 11 Oct 2016 19:33:20 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> >
> > > ​Yes, the crashes appear to stop when I comment out
> (global-undo-tree-mode) in vars.el.
> >
> > OK, so we have our prime suspect.  Can you tell where I can find the
> > exact version of undo-tree-mode you are using?
> >
> > Phillip, could you please look into that package and see if you can
> > spot any potential problems with the Emacs 25 undo internals?  TIA.
>
> Some functions in undo-tree refer to or manipulate Emacs undo
> internals:
>
>   undo-list-pop-changeset
>   undo-list-transfer-to-tree
>   undo-list-rebuild-from-tree
>   undo-tree-pull-undo-in-region-branch
>   undo-tree-pull-redo-in-region-branch
>   undo-tree-adjust-elements-to-elt
>   undo-tree-apply-deltas
>   undo-tree-undo-1
>   undo-tree-redo-1
>
> Do they perhaps need some adjustments to Emacs 25's undo?
>

​And regardless of that, should it in principle be possible to crash Emacs
(other than by exhausting memory or CPU) from Lisp, except by calling
external code improperly?​

Another potential issue is the new undo timer we have in Emacs 25 (see
> undo-auto--boundary-ensure-timer in simple.el).  One way of checking
> whether this is related to the crashes is to modify that function to
> use a much larger value for the 1st argument of run-at-time, say
> 10000, so that the undo timer never fires during the startup.  Reuben,
> could you try that?
>

​Sure. I made that change in the sources and rebuilt, and it crashed "as
usual".

-- 
http://rrt.sc3d.org